Foreman - Feature #6618

Provide a helper to indent in templates
07/15/2014 09:52 AM - Stephen Benjamin

Status: Closed
Priority: Normal
Assignee: Stephen Benjamin
Category: Templates
Target version: 1.6.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1135973 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/1586
Description

When creating a cloud-init user data script, one may want to use the write-files directive to write out Foreman snippets, which would
need to be indented. I'd like to add a helper called indent so | can do something like this:

#cloud-config

some_directive: true

foo: bar

write_files:

- path: /root/freeipa.sh
permissions: '0755'
content: |

A
oe

indent 4 do

snippet "freeipa-register"
end
>

oo

Associated revisions

Revision b6983d00 - 07/28/2014 08:19 AM - Stephen Benjamin

fixes #6618 - provide an indentation helper for provisioning templates

History

#1 - 07/15/2014 12:29 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 1.8.0

- Pull request https://github.com/theforeman/foreman/pull/1586 added
- Pull request deleted ()

#2 - 07/21/2014 04:06 AM - Dominic Cleal
- Category set to Templates

- Assignee set to Stephen Benjamin

#3 - 07/28/2014 08:20 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#4 - 07/28/2014 09:01 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset b6983d00c3ef589c4a1099dbeed29301321bbcd6.
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/b6983d00c3ef589c4a1099dbeed29301321bbcd6

#5 - 09/01/2014 07:29 AM - Stephen Benjamin
- Bugzilla link set to 1135973

05/17/2024 22


http://www.tcpdf.org

